slepc-3.10.1 2018-10-23
Report Typos and Errors

# STShellSetApply

Sets routine to use as the application of the operator to a vector in the user-defined spectral transformation.

### Synopsis

    #include "slepcst.h"
    PetscErrorCode STShellSetApply(ST st,PetscErrorCode (*apply)(ST,Vec,Vec))

Logically Collective on ST

### Input Parameters

| st | - the spectral transformation context
| apply | - the application-provided transformation routine

### Calling sequence of apply

      apply(ST st,Vec xin,Vec xout)

| st | - the spectral transformation context
| xin | - input vector
| xout | - output vector

### See Also

STShellSetBackTransform(), STShellSetApplyTranspose()

Location: src/sys/classes/st/impls/shell/shell.c
Index of all ST routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/eps/examples/tutorials/ex10.c.html
src/eps/examples/tutorials/ex35.c.html
src/eps/examples/tutorials/ex36.c.html